## golang-github-cue-labs-oci 0.0~git20241125.2c00c10

=== ociregistry/Makefile ===
.PHONY: install
test:
	go test ./...
	go test -C ./internal/conformance ./...

=== debian/changelog ===
golang-github-cue-labs-oci (0.0~git20241125.2c00c10-1) unstable; urgency=medium

  * New upstream version 0.0~git20241125.2c00c10

 -- Simon Josefsson <simon@josefsson.org>  Sat, 14 Dec 2024 07:44:16 +0100

golang-github-cue-labs-oci (0.0~git20240906.82eb438-2) unstable; urgency=medium

  * Drop local apt packages.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 11 Dec 2024 22:41:38 +0100

golang-github-cue-labs-oci (0.0~git20240906.82eb438-1) unstable; urgency=medium

  * Initial release (Closes: #1088183)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 24 Nov 2024 19:41:19 +0100

=== debian/control ===
Source: golang-github-cue-labs-oci
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-go-quicktest-qt-dev,
 golang-github-opencontainers-go-digest-dev,
 golang-github-opencontainers-image-spec-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cue-labs-oci
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cue-labs-oci.git
Homepage: https://github.com/cue-labs/oci
XS-Go-Import-Path: cuelabs.dev/go/oci

Package: golang-github-cue-labs-oci-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Cue labs Open Container Initiative (OCI) modules (Go library)
 Cue Language Labs OCI Go modules - functionality related to OCI (Open
 Container Initiative) registries.
 .
 This package contains the Go development library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := oci/cmd/ocisrv ociregistry/internal/conformance

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/cue-labs/oci.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
#      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
#  https://github.com/cue-labs/oci/tags .*/v?(\d\S*)\.tar\.gz debian
